Home

# Class goog.ui.media.GoogleVideoModel

The {@code goog.ui.media.GoogleVideo} media data model. It stores a required {@code videoId} field, sets the GoogleVideo URL, and allows a few optional parameters.

extends goog.ui.media.MediaModel

Instance Method Summary
| `getVideoId() ⇒ string` Gets the GoogleVideo video id.

Static Method Summary
| `buildFlashUrl(string videoId, boolean= opt_autoplay) ⇒ string` An auxiliary method that builds URL of the flash movie to be embedded, out of the GoogleVideo video id.
| `buildUrl(string videoId) ⇒ string` The opposite of {@code goog.ui.media.GoogleVideo.newInstance}: it takes a videoId and returns a GoogleVideo URL.
| `newInstance(string googleVideoUrl, string= opt_caption, string= opt_description, boolean= opt_autoplay) ⇒ ?goog.ui.media.GoogleVideoModel` A auxiliary static method that parses a GoogleVideo URL, extracting the ID of the video, and builds a GoogleVideoModel.